\name{make.color.scale}
\alias{make.color.scale}
\title{
  Make Color Scale
}
\description{
  Construct 2 color gradient for the function 'wordcloud'.
}
\usage{make.color.scale(aColor, bColor, steps, gradientExp=.5)}
\arguments{
\item{aColor}{The starting color of the gradient}
\item{bColor}{The ending color of the gradient}
\item{steps}{The number of elements in the outpus gradient vector}
\item{gradientExp}{A parameter for controlling the interpolation between the 2 colors. a value of 1 will yield straight linear interpolation between the colors.  A value lessthan 0 will cause the gradient to rapidly transition and plateau into the the second color, 
}
}

\value{
A vector of colors (represented by character strings) giving a smooth transition between the 2 input colors.
 }

\examples{
# Make a cyan to red gradient with 10 steps.
make.color.scale(c(0,1,1), c(1,0,0),10,1)
} 
